# Commands & Permissions

## 🧾 Commands & Permissions

### 📘 Introduction

This page provides a complete list of all **commands** and their associated **permissions** for the **TheRewards** plugin.

Commands are split into two categories:

* **Player Commands** – for regular users.
* **Admin Commands** – for staff or server operators.

***

### 🎮 Player Commands

| Command     | Description            | Permission Node       |
| ----------- | ---------------------- | --------------------- |
| `/rewards`  | Open the rewards menu  | `therewards.open`     |
| `/playtime` | Open the playtime menu | `therewards.playtime` |
| `/streak`   | Open the streak menu   | `therewards.streak`   |

***

### 🛠️ Admin Commands

| Command                                               | Description                                               | Permission Node         |
| ----------------------------------------------------- | --------------------------------------------------------- | ----------------------- |
| `/therewards help`                                    | View help message                                         | `therewards.help`       |
| `/therewards reload`                                  | Reload the configuration files                            | `therewards.reload`     |
| `/therewards info`                                    | View user information                                     | `therewards.info`       |
| `/therewards remove <type> <player> <value>`          | Remove rewards or streak from a user                      | `therewards.remove`     |
| `/therewards removeall <player>`                      | Remove streak, playtime and rewards from a user           | `therewards.removeall`  |
| `/therewards reset <type> <player>`                   | Reset cooldown, ontime, claim date, and optionally streak | `therewards.reset`      |
| `/therewards set <player> <value>`                    | Set a specific streak or a higher streak                  | `therewards.set`        |
| `/therewards forceclaim {type} {player} {value}`      | Force a reward to a connected player                      | `therewards.forceclaim` |
| `/therewards transfer <type> {oldPlayer} {newPlayer}` | Transfer data like streak, playtime, rewards or all       | `therewards.transfer`   |

### 📃 Addons Command

This command provides a set of subcommands to manage TheRewards addons.\
You can list, load, reload, and disable individual addons or all of them.

| Subcommand        | Description                              | Usage                                | Permission Node     |
| ----------------- | ---------------------------------------- | ------------------------------------ | ------------------- |
| `list`            | Lists all loaded addons                  | `/therewards addons list`            | `therewards.addons` |
| `reload <addon>`  | Reloads a specific addon                 | `/therewards addons reload <addon>`  | `therewards.addons` |
| `reloadall`       | Reloads all loaded addons                | `/therewards addons reloadall`       | `therewards.addons` |
| `load <fileName>` | Loads an addon from the `addons/` folder | `/therewards addons load <fileName>` | `therewards.addons` |
| `disable <addon>` | Disables/unloads a specific addon        | `/therewards addons disable <addon>` | `therewards.addons` |
| `disableall`      | Disables/unloads all addons              | `/therewards addons disableall`      | `therewards.addons` |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xshyo.us/free-plugins/therewards/commands-and-permissions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
